<?php

/**
 * Class CompetitionTypeModel. Clase CompetitionModel
 */
class CompetitionTypeModel extends CI_Model


{
    const TABLE_NAME = 'TipoCompeticion';

    /**
     * CompetitionTypeModel constructor.
     */
    public function __construct()
    {
        parent::__construct();
        $this->load->database();
    }


    /**
     * Funcion que devuelve los tipos de competiciones
        @return TipoCompeticion [] con todos sus campos
     */
    public function getCompetitionTypes() {
        $sql = 'SELECT TC.* FROM TipoCompeticion TC';
        $query =  $this -> db -> query($sql);
        return $query -> result();
    }


}